<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> Random Sentence Generator</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<body class="m-5 mt-3">
    <h3>Random Sentence</h3>
    <button id="btn" class="btn btn-sm btn-outline-primary m-3 ms-0">Generate</button>
    <button id="btn2" class="btn btn-sm btn-outline-warning m-3 ms-0">Clear</button>
    <br>
    <div id="main_"></div>
    <script>

        const article = ["the", "a", "one", "some", "any"];
        const noun = ["boy ", "girl", "dog", "town", "car"];
        const verb = ["drove", "jumped", "ran", "walked", "skipped"];
        const preposition = ["to", "from", "over", "under", "on"];

         var btn = document.getElementById("btn");
         var btn2 = document.getElementById("btn2");

         var main = document.getElementById("main_");                

         //adding event listener
         btn.addEventListener(("click"), ()=>{
            //checks whether div w id sub_main exits
            let flag = !!document.getElementById("sub_main");
            //if div with id sub_main exits, alert
            if (!!flag){
                alert("Clear first and TRY AGAIN!");
            }else{
                //create arr of capitalized word
                var articleUpperCase = [];
                for (var i=0; i<article.length; i++){
                    var x = article[i].charAt(0).toUpperCase()+article[i].substring(1).toLowerCase();
                    articleUpperCase[i] = x;
                }
                //generate sentences
                var sortSentence = [];
                for (let i = 0; i<20; i++){       
                    var w1 = articleUpperCase[Math.floor(Math.random() * article.length)];
                    var w2 = noun[Math.floor(Math.random() * noun.length)];  
                    var w3 = verb[Math.floor(Math.random() * verb.length)];
                    var w4 = preposition[Math.floor(Math.random() * preposition.length)];
                    var w5 = article[Math.floor(Math.random() * article.length)];

                    var sentence =(w1+" "+w2+" "+w3+" "+w4+" "+w5+" "+w2+".");
                    //console.log(sentence); //display generated sentences in console
                    sortSentence[i] = sentence;
                    var ss = sortSentence.sort();
            }
                //console.log(sortSentence.sort()); //display sorted sentences in console
                //create div w id sub_main
                var sub_main = document.createElement("div");
                sub_main.id = "sub_main";
                main.appendChild(sub_main);
            //display the sorted sentences under sub_main div
            for (let i = 0; i<20; i++){
                var text = document.createElement("div");
                text.classList = "mt-1 mb-1";
                text.innerHTML= ss[i];
                sub_main.appendChild(text);
                    }
                }           
            }); 
        //clear displayed sentenes
        btn2.addEventListener(("click"), ()=>{
            let flag = !!document.getElementById("sub_main");

            if (!!flag){
                sub_main.remove();
            }else{
                alert("Nothing to Clear (-_-) !!");
            }
        });
    </script>
</body>
</html>